XPressME Integration Kit

ブログ

WordPressME2.1.3を統合してみた

XPressME Integration Kit Ver 2.10 (r362)で WordPressME2.1.3 を統合してみた。

やり方は、 WP2011の場合と同じで、extras/for_wordpressme2011にある言語毎のファイルを上書きする。

しかしWordPressME2.1.3はMySQL4.1以上を使用する場合、文字化けが頻発して、正直そのままでは使用できるような状態ではない、(WordPressME2.0.11のほうは、しばらくサポートが続いていたので、この辺りの対策は施されています)

プラグイン側でなんとか出来ないかと、あがいたけれど・・・駄目でした。

なので、WordPressME2.1.3を統合する場合は、(というか、 WordPressME2.1.3を使う場合は)

wp-includes/wp-db.phpの65行目あたり$this->select($dbname);の前に


if (defined('DB_CHARSET') && version_compare(mysql_get_server_info($this->dbh), '4.1.0', '>=')) {
$this->query("SET NAMES " . DB_CHARSET);
}

を追加してねってことで

コメントをどうぞ